ContextResourceLink (Tomcat API Documentation)
Keywords: org.apache.catalina.deploy.ContextResourceLink class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class ContextResourceLink

    java.lang.Object
      org.apache.catalina.deploy.ResourceBase
          org.apache.catalina.deploy.ContextResourceLink

All Implemented Interfaces:
  java.io.Serializable

public class ContextResourceLink
extends ResourceBase
implements java.io.Serializable

Representation of a resource link for a web application, as represented in a `<ResourceLink>` element in the server configuration file.

Version:
  $Revision: 466608 $ $Date: 2006-10-21 17:10:15 -0600 (Sat, 21 Oct 2006) $
Author:
  Remy Maucherat, Peter Rossbach (Peter Rossbach (pero@apache.org))
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.deploy.ResourceBase
`resources`

Constructor Summary
`ContextResourceLink()`

Method Summary
`java.lang.String` | `getGlobal()`
`void` | `setGlobal(java.lang.String global)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class org.apache.catalina.deploy.ResourceBase
`getDescription, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextResourceLink

    public ContextResourceLink()

Method Detail

### getGlobal

    public java.lang.String getGlobal()

### setGlobal

    public void setGlobal(java.lang.String global)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.